Subject: Re: [PATCH net-next v6 3/9] bnxt_en: add support for tcp-data-split ethtool command

From: Jakub Kicinski <[email-masked]>
Date: Thu, 19 Dec 2024 07:25:19 -0800

On Fri, 20 Dec 2024 00:14:01 +0900 Taehee Yoo wrote:
> > > The bnxt_en disallows setting up both single and multi buffer XDP, but core
> > > checks only single buffer XDP. So, if multi buffer XDP is attaching to
> > > the bnxt_en driver when HDS is enabled, the core can't filter it.  
> >
> > Hm. Did you find this in the code, or did Broadcom folks suggest it?
> > AFAICT bnxt supports multi-buf XDP. Is there something in the code
> > that special-cases aggregation but doesn't work for pure HDS?  
> 
> There were some comments about HDS with XDP in the following thread.
> https://lore.kernel.org/netdev/[email-masked]/T/
> I may misunderstand reviews from Broadcom folks.

I see it now in bnxt_set_rx_skb_mode. I guess with high MTU
the device splits in some "dumb" way, at a fixed offset..
You're right, we have to keep the check in the driver, 
at least for now.